FAIL: t-locale
Dennis Clarke
dclarke at blastwave.org
Tue Sep 22 02:53:16 CEST 2009
I probably need to provide more info on this.
Solaris 10 Update 7 with the latest Studio 12 update 1 , all tests pass
except one :
/bin/bash ../../libtool --mode=link
/opt/studio/SOS12.1/sunstudio12.1/bin/CC -m64 -xtarget=ultra3i
-xcache=64/32/4:1024/64/4 -library=stlport4 -norunpath -xcode=pic32
-xlibmopt -xregs=no%appl -R/home/dclarke/local/sparcv9/lib
-L/home/dclarke/local/sparcv9/lib -xs -xO4 -D_TS_ERRNO -o t-unary
t-unary.o -L../../.libs ../../tests/libtests.la ../../libgmpxx.la
../../libgmp.la
/opt/studio/SOS12.1/sunstudio12.1/bin/CC -m64 -xtarget=ultra3i
-xcache=64/32/4:1024/64/4 -norunpath -xcode=pic32 -xlibmopt -xregs=no%appl
-xs -xO4 -D_TS_ERRNO -o .libs/t-unary t-unary.o
-L/build/dclarke/gmp-4.3.1_ultra3i_SS12.1/.libs
-L/home/dclarke/local/sparcv9/lib ../../tests/.libs/libtests.a
../../.libs/libgmpxx.so -library=stlport4
/build/dclarke/gmp-4.3.1_ultra3i_SS12.1/.libs/libgmp.so
../../.libs/libgmp.so -R/home/dclarke/local/sparcv9/lib
ld: warning: file ../../.libs/libgmp.so: linked to
/build/dclarke/gmp-4.3.1_ultra3i_SS12.1/.libs/libgmp.so: attempted
multiple inclusion of file
creating t-unary
make check-TESTS
PASS: t-assign
PASS: t-binary
PASS: t-cast
PASS: t-constr
PASS: t-headers
PASS: t-istream
bash: line 4: 11580 Segmentation Fault (core dumped) ${dir}$tst
FAIL: t-locale
PASS: t-misc
PASS: t-ops
PASS: t-ostream
PASS: t-prec
PASS: t-rand
PASS: t-ternary
PASS: t-unary
====================================
1 of 14 tests failed
Please report to gmp-bugs at gmplib.org
====================================
*** Error code 1
The following command caused the error:
failed=0; all=0; xfail=0; xpass=0; skip=0; \
srcdir=../../../gmp-4.3.1/tests/cxx; export srcdir; \
list='t-assign t-binary t-cast t-constr t-headers t-istream t-locale
t-misc t-ops t-ostream t-prec t-rand t-ternary t-unary'; \
if test -n "$list"; then \
for tst in $list; do \
if test -f ./$tst; then dir=./; \
elif test -f $tst; then dir=; \
else dir="../../../gmp-4.3.1/tests/cxx/"; fi; \
if cp ../../.libs/libgmp.so.* .libs 2>/dev/null || true; ${dir}$tst;
then \
all=`expr $all + 1`; \
case " " in \
*" $tst "*) \
xpass=`expr $xpass + 1`; \
failed=`expr $failed + 1`; \
echo "XPASS: $tst"; \
;; \
*) \
echo "PASS: $tst"; \
;; \
esac; \
elif test $? -ne 77; then \
all=`expr $all + 1`; \
case " " in \
*" $tst "*) \
xfail=`expr $xfail + 1`; \
echo "XFAIL: $tst"; \
;; \
*) \
failed=`expr $failed + 1`; \
echo "FAIL: $tst"; \
;; \
esac; \
else \
skip=`expr $skip + 1`; \
echo "SKIP: $tst"; \
fi; \
done; \
if test "$failed" -eq 0; then \
if test "$xfail" -eq 0; then \
banner="All $all tests passed"; \
else \
banner="All $all tests behaved as expected ($xfail expected
failures)"; \
fi; \
else \
if test "$xpass" -eq 0; then \
banner="$failed of $all tests failed"; \
else \
banner="$failed of $all tests did not behave as expected ($xpass
unexpected passes)"; \
fi; \
fi; \
dashes="$banner"; \
skipped=""; \
if test "$skip" -ne 0; then \
skipped="($skip tests were not run)"; \
test `echo "$skipped" | wc -c` -gt `echo "$banner" | wc -c` && \
dashes="$skipped"; \
fi; \
report=""; \
if test "$failed" -ne 0 && test -n "gmp-bugs at gmplib.org"; then \
report="Please report to gmp-bugs at gmplib.org"; \
test `echo "$report" | wc -c` -gt `echo "$banner" | wc -c` && \
dashes="$report"; \
fi; \
dashes=`echo "$dashes" | sed s/./=/g`; \
echo "$dashes"; \
echo "$banner"; \
test -n "$skipped" && echo "$skipped"; \
test -n "$report" && echo "$report"; \
echo "$dashes"; \
test "$failed" -eq 0; \
else :; fi
make: Fatal error: Command failed for target `check-TESTS'
Current working directory /build/dclarke/gmp-4.3.1_ultra3i_SS12.1/tests/cxx
*** Error code 1
make: Fatal error: Command failed for target `check-am'
Current working directory /build/dclarke/gmp-4.3.1_ultra3i_SS12.1/tests/cxx
*** Error code 1
The following command caused the error:
set fnord $MAKEFLAGS; amf=$2; \
dot_seen=no; \
target=`echo check-recursive | sed s/-recursive//`; \
list='. devel mpn mpz mpq mpf rand misc cxx mpbsd'; for subdir in $list; do \
echo "Making $target in $subdir"; \
if test "$subdir" = "."; then \
dot_seen=yes; \
local_target="$target-am"; \
else \
local_target="$target"; \
fi; \
(cd $subdir && make $local_target) \
|| case "$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
done; \
if test "$dot_seen" = "no"; then \
make "$target-am" || exit 1; \
fi; test -z "$fail"
make: Fatal error: Command failed for target `check-recursive'
Current working directory /build/dclarke/gmp-4.3.1_ultra3i_SS12.1/tests
*** Error code 1
The following command caused the error:
set fnord $MAKEFLAGS; amf=$2; \
dot_seen=no; \
target=`echo check-recursive | sed s/-recursive//`; \
list='tests mpn mpz mpq mpf printf scanf cxx mpbsd demos tune doc'; for
subdir in $list; do \
echo "Making $target in $subdir"; \
if test "$subdir" = "."; then \
dot_seen=yes; \
local_target="$target-am"; \
else \
local_target="$target"; \
fi; \
(cd $subdir && make $local_target) \
|| case "$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
done; \
if test "$dot_seen" = "no"; then \
make "$target-am" || exit 1; \
fi; test -z "$fail"
make: Fatal error: Command failed for target `check-recursive'
Current working directory /build/dclarke/gmp-4.3.1_ultra3i_SS12.1
*** Error code 1
make: Fatal error: Command failed for target `check'
$ find . -type f -name core
./tests/cxx/core
$ file ./tests/cxx/core
./tests/cxx/core: ELF 64-bit MSB core file SPARCV9 Version 1, from 't-locale'
$
--
Dennis Clarke
dclarke at opensolaris.ca <- Email related to the open source Solaris
dclarke at blastwave.org <- Email related to open source for Solaris
More information about the gmp-bugs
mailing list